Package org.apache.wiki

## Interface StringTransmutator

All Known Implementing Classes:
  `LinkCollector`

    public interface StringTransmutator

Defines an interface for transforming strings within a Wiki context.

Since:
  1.6.4

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `mutate​(Context context, java.lang.String source)` Returns a changed String, suitable for Wiki context.

### Method Detail

#### mutate

    java.lang.String mutate​(Context context,
                            java.lang.String source)

Returns a changed String, suitable for Wiki context.

Parameters:
  `context` - WikiContext in which mutation is to be done
  `source` - The source string.
Returns:
  The mutated string.